<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="Thermo 49iQ"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Ozone concentration (ppb)</td> <td class="value-formatted" field="X" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Sample flow (lpm)</td>         <td class="value-formatted" field="Q" decimals="3"></td> </tr>
            <tr> <td>Sample temperature (°C)</td>   <td class="value-formatted" field="Tsample" rightpad="2"></td> </tr>
            <tr> <td>Lamp temperature (°C)</td>     <td class="value-formatted" field="Tlamp" rightpad="2"></td> </tr>
            <tr> <td>Sample pressure (hPa)</td>     <td class="value-formatted" field="Psample" rightpad="2"></td> </tr>
            <tr> <td>Pump pressure (hPa)</td>       <td class="value-formatted" field="Ppump" rightpad="2"></td> </tr>
            <tr> <td>Laser current (mA)</td>        <td class="value-formatted" field="Alamp" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Lamp heater current (A)</td>   <td class="value-formatted" field="Aheater" decimals="2" rightpad="1"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data column-split communication-state hide-false">
        <thead>
            <tr>
                <th></th>
                <th>Cell A</th>
                <th>Cell B</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Count rate (Hz)</td>
                <td class="value-formatted" field="Ca" decimals="0" rightpad="4"></td>
                <td class="value-formatted" field="Cb" decimals="0" rightpad="4"></td>
            </tr>
            <tr>
                <td>Noise (Hz)</td>
                <td class="value-formatted" field="Cag" rightpad="2"></td>
                <td class="value-formatted" field="Cbg" rightpad="2"></td>
            </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="lamp_temperature_short">Lamp temperature sensor short detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="lamp_temperature_open">Lamp temperature sensor open connection detected</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="sample_temperature_short">Bench sample temperature sensor short detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="sample_temperature_open">Bench sample temperature sensor open connection detected</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="lamp_connection_alarm">Lamp connection alarm active</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="lamp_short">Lamp short detected</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="communications_alarm">Communications fault alarm active</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="power_supply_alarm">Power supply fault alarm active</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="lamp_current_alarm">Lamp current outside of normal range</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="lamp_temperature_alarm">Lamp temperature outside of normal range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="sample_temperature_alarm">Sample temperature outside of normal range</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="alarm_intensity_a_high">Cell A frequency exceeded upper alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="alarm_intensity_b_high">Cell B frequency exceeded upper alarm threshold</div>

    <!--


    result.back()
          .write()
          .metadataSingleFlag("SampleTemperatureAlarm")
          .hash("Description")
          .setString("Bench temperature alarm");
    result.back()
          .write()
          .metadataSingleFlag("SampleTemperatureAlarm")
          .hash("Origin")
          .toArray()
          .after_back()
          .setString("acquire_thermo_ozone49iq");
    -->

</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>

<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>